package org.xyzh.common.dto.study;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description 学习任务标签关联实体
 * @filename TbLearningTaskTag.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-31
 */
public class TbLearningTaskTag extends BaseDTO {
    private static final long serialVersionUID = 1L;

    /**
     * 任务ID
     */
    private String taskID;

    /**
     * 标签ID
     */
    private String tagID;

    /**
     * 创建者
     */
    private String creator;

    public String getTaskID() {
        return taskID;
    }

    public void setTaskID(String taskID) {
        this.taskID = taskID;
    }

    public String getTagID() {
        return tagID;
    }

    public void setTagID(String tagID) {
        this.tagID = tagID;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Override
    public String toString() {
        return "TbLearningTaskTag{" +
                "id='" + getID() + '\'' +
                ", taskID='" + taskID + '\'' +
                ", tagID='" + tagID + '\'' +
                ", creator='" + creator + '\'' +
                ", createTime=" + getCreateTime() +
                '}';
    }
}

